Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.hibernate.cache
Class DeployedTreeCache

    java.lang.Object
      org.jboss.hibernate.cache.DeployedTreeCache

All Implemented Interfaces:
  net.sf.hibernate.cache.Cache

public class DeployedTreeCache
extends Object
implements net.sf.hibernate.cache.Cache

A Hibernate Cache implementation wraps the passed TreeCache (presumably gotten from JNDI).

Version:
  `$Revision: 1.1.2.1 $`
Author:
  Steve Ebersole

Constructor Summary
`DeployedTreeCache(String regionName, org.jboss.cache.TreeCache cache)`

Method Summary
`void` | `clear()`
`void` | `destroy()`
`Object` | `get(Object key)`
`long` | `getElementCountInMemory()`
`long` | `getElementCountOnDisk()`
`String` | `getRegionName()`
`long` | `getSizeInMemory()`
`int` | `getTimeout()`
`void` | `lock(Object key)`
`long` | `nextTimestamp()`
`void` | `put(Object key, Object value)`
`void` | `remove(Object key)`
`void` | `unlock(Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployedTreeCache

    public DeployedTreeCache(String regionName,
                             org.jboss.cache.TreeCache cache)

Method Detail

### get

    public Object get(Object key)
               throws net.sf.hibernate.cache.CacheException

  Specified by:
    `get` in interface `net.sf.hibernate.cache.Cache`
  Throws:
    `net.sf.hibernate.cache.CacheException`

### put

    public void put(Object key,
                    Object value)
             throws net.sf.hibernate.cache.CacheException

  Specified by:
    `put` in interface `net.sf.hibernate.cache.Cache`
  Throws:
    `net.sf.hibernate.cache.CacheException`

### remove

    public void remove(Object key)
                throws net.sf.hibernate.cache.CacheException

  Specified by:
    `remove` in interface `net.sf.hibernate.cache.Cache`
  Throws:
    `net.sf.hibernate.cache.CacheException`

### clear

    public void clear()
               throws net.sf.hibernate.cache.CacheException

  Specified by:
    `clear` in interface `net.sf.hibernate.cache.Cache`
  Throws:
    `net.sf.hibernate.cache.CacheException`

### destroy

    public void destroy()
                 throws net.sf.hibernate.cache.CacheException

  Specified by:
    `destroy` in interface `net.sf.hibernate.cache.Cache`
  Throws:
    `net.sf.hibernate.cache.CacheException`

### lock

    public void lock(Object key)
              throws net.sf.hibernate.cache.CacheException

  Specified by:
    `lock` in interface `net.sf.hibernate.cache.Cache`
  Throws:
    `net.sf.hibernate.cache.CacheException`

### unlock

    public void unlock(Object key)
                throws net.sf.hibernate.cache.CacheException

  Specified by:
    `unlock` in interface `net.sf.hibernate.cache.Cache`
  Throws:
    `net.sf.hibernate.cache.CacheException`

### nextTimestamp

    public long nextTimestamp()

  Specified by:
    `nextTimestamp` in interface `net.sf.hibernate.cache.Cache`

### getTimeout

    public int getTimeout()

  Specified by:
    `getTimeout` in interface `net.sf.hibernate.cache.Cache`

### getRegionName

    public String getRegionName()

### getSizeInMemory

    public long getSizeInMemory()

### getElementCountInMemory

    public long getElementCountInMemory()

### getElementCountOnDisk

    public long getElementCountOnDisk()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.